Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.layout.pdf.emitter
Class ImageLayout

    java.lang.Object
      org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
          org.eclipse.birt.report.engine.layout.pdf.emitter.ImageLayout

    public class ImageLayout

extends org.eclipse.birt.report.engine.layout.pdf.emitter.Layout

Field Summary
`static int` | `TYPE_FLASH_OBJECT`
`static int` | `TYPE_IMAGE_OBJECT`

Fields inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
`content, context, logger, parent, specifiedHeight, specifiedWidth`

Constructor Summary
`ImageLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parentContext, IContent content)`

Method Summary
`protected void` | `checkObjectType()`
`protected void` | `closeLayout()`
`protected void` | `initialize()`
`void` | `layout()`

Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
`calculateSpecifiedHeight, calculateSpecifiedWidth, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getParent, getResolution, getTableLayoutManager, removeMargin, resolveBoxConflict, validateBoxProperty, validateBoxProperty, visitContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_IMAGE_OBJECT

    public static final int TYPE_IMAGE_OBJECT

See Also:
  Constant Field Values

### TYPE_FLASH_OBJECT

    public static final int TYPE_FLASH_OBJECT

See Also:
  Constant Field Values

Constructor Detail

### ImageLayout

    public ImageLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context,
                       org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parentContext,
                       IContent content)

Method Detail

### layout

    public void layout()
                throws org.eclipse.birt.core.exception.BirtException

  Specified by:
    `layout` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.Layout`
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### closeLayout

    protected void closeLayout()
                        throws org.eclipse.birt.core.exception.BirtException

  Specified by:
    `closeLayout` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.Layout`
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### initialize

    protected void initialize()
                       throws org.eclipse.birt.core.exception.BirtException

  Specified by:
    `initialize` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.Layout`
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### checkObjectType

    protected void checkObjectType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.